Media

Get project media metadata

GET
/api/projects/{projectId}/media/{assetId}

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
assetId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
asset*
representations*array<>
Example Request
curl -X GET 'https://postbot.example/api/projects/string/media/string'
Example Response
{
  "asset": {
    "id": "string",
    "projectId": "string",
    "originalFilename": "string",
    "defaultAccessibilityText": "string",
    "state": "reserved",
    "archivedAt": 0,
    "deletionRequestedAt": 0,
    "deletedAt": 0,
    "failureCode": "string",
    "failureMessage": "string",
    "createdByActorId": "string",
    "createdAt": 0,
    "updatedAt": 0
  },
  "representations": [
    {
      "id": "string",
      "projectId": "string",
      "assetId": "string",
      "kind": "original",
      "state": "reserved",
      "declaredContentType": "string",
      "detectedContentType": "string",
      "detectedFormat": "string",
      "family": "image",
      "byteSize": 0,
      "sha256": "string",
      "width": 1,
      "height": 1,
      "durationMs": 0,
      "pageCount": 1,
      "isAnimated": true,
      "processorId": "string",
      "processorVersion": "string",
      "recipeJson": "string",
      "failureCode": "string",
      "failureMessage": "string",
      "createdAt": 0,
      "updatedAt": 0
    }
  ]
}

Was this page helpful?